LinuxQMISDK: qmiWdsRunTimeSettings Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
qmiWdsRunTimeSettings Struct Reference

## Data Fields
CHAR * | pProfileName
ULONG * | pPDPType
CHAR * | pAPNName
ULONG * | pPrimaryDNSV4
ULONG * | pSecondaryDNSV4
struct UMTSQoS * | pUMTSGrantedQoS
struct GPRSQoS * | pGPRSGrantedQoS
CHAR * | pUsername
ULONG * | pAuthentication
ULONG * | pIPAddressV4
struct ProfileIdentifier * | pProfileID
ULONG * | pGWAddressV4
ULONG * | pSubnetMaskV4
BYTE * | pPCSCFAddrPCO
struct PCSCFIPv4ServerAddressList * | pServerAddrList
struct PCSCFFQDNAddressList * | pPCSCFFQDNAddrList
USHORT * | pPrimaryDNSV6
USHORT * | pSecondaryDNSV6
ULONG * | pMtu
struct DomainNameList * | pDomainList
BYTE * | pIPFamilyPreference
BYTE * | pIMCNflag
WORD * | pTechnology
struct IPV6AddressInfo * | pIPV6AddrInfo
struct IPV6GWAddressInfo * | pIPV6GWAddrInfo

## Detailed Description

This structure contains the WdsRunTimeSettings Information

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Parameters

  pProfileName | Profile name One or more bytes describing the profile. Description may be a user-defined name for the profile. QMI_ERR_ARG_TOO_LONG is returned if profile_name is too long.
  pPDPType | PDP type 0x00 – PDP-IP (IPv4)
  pAPNName | Access point name String parameter that is a logical name used to select the GGSN and external packet data network. If value is NULL or omitted, then the subscription default value is requested. QMI_ERR_ARG_TOO_LONG is returned if the APN name is too long.
  pPrimaryDNSV4 | Primary DNS IPv4 Address
  pSecondaryDNSV4 | Secondary DNS IPv4 Address
  pUMTSGrantedQoS | UMTS Granted QoS
  pGPRSGrantedQoS | GPRS Granted QoS
  pUsername | User name used during data network authentication
  pAuthentication | Authentication preference Bit 0 – PAP preference 0 – PAP is never performed 1 – PAP may be performed Bit 1 – CHAP preference 0 – CHAP is never performed 1 – CHAP may be performed
  pIPAddressV4 | IPV4 Address assigned to the TE
  pProfileID | Profile Identifier
  pGWAddressV4 | IPV4 Gateway Address
  pSubnetMaskV4 | IPV4 Subnet Mask
  pPCSCFAddrPCO | PCSCF address using PCO values 1 – (TRUE) implies request PCSCF address using PCO 0 – (FALSE) implies do not request. This is the default value.
  pServerAddrList | P-CSCF IPv4 Server Address List
  pPCSCFFQDNAddrList | P-CSCF FQDN Address List
  pPrimaryDNSV6 | Primary DNS IPv6 Address
  pSecondaryDNSV6 | Secondary DNS IPv6 Address
  mtu | MTU
  pDomainList | Domain-Name List
  pIPFamilyPreference | IP family 0x04 – IPV4 ADDR 0x06 – IPV6 ADDR
  pIMCNflag | IM CN Flag 0x00 – FALSE 0x01 – TRUE
  pTechnology | Technology CDMA – 0x8001 UMTS – 0x8004
  pIPV6AddressInfo | IPV6 Address Information
  pIPV6GWAddressInfo | IPV6 Gateway Address Information

## Field Documentation

CHAR* qmiWdsRunTimeSettings::pAPNName

ULONG* qmiWdsRunTimeSettings::pAuthentication

struct DomainNameList* qmiWdsRunTimeSettings::pDomainList

struct GPRSQoS* qmiWdsRunTimeSettings::pGPRSGrantedQoS

ULONG* qmiWdsRunTimeSettings::pGWAddressV4

BYTE* qmiWdsRunTimeSettings::pIMCNflag

ULONG* qmiWdsRunTimeSettings::pIPAddressV4

BYTE* qmiWdsRunTimeSettings::pIPFamilyPreference

struct IPV6AddressInfo* qmiWdsRunTimeSettings::pIPV6AddrInfo

struct IPV6GWAddressInfo* qmiWdsRunTimeSettings::pIPV6GWAddrInfo

ULONG* qmiWdsRunTimeSettings::pMtu

BYTE* qmiWdsRunTimeSettings::pPCSCFAddrPCO

struct PCSCFFQDNAddressList* qmiWdsRunTimeSettings::pPCSCFFQDNAddrList

ULONG* qmiWdsRunTimeSettings::pPDPType

ULONG* qmiWdsRunTimeSettings::pPrimaryDNSV4

USHORT* qmiWdsRunTimeSettings::pPrimaryDNSV6

struct ProfileIdentifier* qmiWdsRunTimeSettings::pProfileID

CHAR* qmiWdsRunTimeSettings::pProfileName

ULONG* qmiWdsRunTimeSettings::pSecondaryDNSV4

USHORT* qmiWdsRunTimeSettings::pSecondaryDNSV6

struct PCSCFIPv4ServerAddressList* qmiWdsRunTimeSettings::pServerAddrList

ULONG* qmiWdsRunTimeSettings::pSubnetMaskV4

WORD* qmiWdsRunTimeSettings::pTechnology

struct UMTSQoS* qmiWdsRunTimeSettings::pUMTSGrantedQoS

CHAR* qmiWdsRunTimeSettings::pUsername